//------------------------------------------------------------------------------
// GPL LISENCE (short)
//------------------------------------------------------------------------------
/*
 * Copyright (c) 2016 R1KO

 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#pragma semicolon 1

#include <sourcemod>
#include <sdktools>
#include <vip_core>

#pragma newdecls required

public Plugin myinfo =
{
	name = "[VIP] Tagrenade",
	author = "R1KO (skype: vova.andrienko1)",
	version = "1.1"
};

static const char g_sFeature[] = "Tagrenade";

public void OnPluginStart() 
{
	if(VIP_IsVIPLoaded())
	{
		VIP_OnVIPLoaded();
	}
}

public void VIP_OnVIPLoaded()
{
	VIP_RegisterFeature(g_sFeature, BOOL);
}

public void OnPluginEnd() 
{
	if(CanTestFeatures() && GetFeatureStatus(FeatureType_Native, "VIP_UnregisterFeature") == FeatureStatus_Available)
	{
		VIP_UnregisterFeature(g_sFeature);
	}
}

public void VIP_OnPlayerSpawn(int iClient, int iTeam, bool bIsVIP)
{
//	LogMessage("VIP_OnPlayerSpawn: %N, bIsVIP: %b, IsClientFeatureUse: %b, m_iAmmo: %i", iClient, bIsVIP, VIP_IsClientFeatureUse(iClient, g_sFeature), GetEntProp(iClient, Prop_Data, "m_iAmmo", _, 22));
	if(bIsVIP && VIP_IsClientFeatureUse(iClient, g_sFeature) && GetEntProp(iClient, Prop_Data, "m_iAmmo", _, 22) == 0)
	{
		GivePlayerItem(iClient, "weapon_tagrenade");
	}
}

public Action CS_OnCSWeaponDrop(int client, int weapon)
{
	if(IsClientInGame(client) && GetClientHealth(client) < 1 && IsValidEdict(weapon))
	{
		char classname[32];
		GetEdictClassname(weapon, classname, 16);
		if(!strcmp(classname[7], "tagrenade")) AcceptEntityInput(weapon, "Kill");
	}
	
	return Plugin_Continue;
}